<?php
/**
 * ScheduledMessagesApiTest
 * PHP version 5
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * TextMagic
 *
 * TextMagic REST API
 *
 * OpenAPI spec version: 2
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 * Swagger Codegen version: 2.4.7
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Please update the test case below to test the endpoint.
 */

namespace text-magic;

use \text-magic\Configuration;
use \text-magic\ApiException;
use \text-magic\ObjectSerializer;

/**
 * ScheduledMessagesApiTest Class Doc Comment
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */
class ScheduledMessagesApiTest extends \PHPUnit_Framework_TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for deleteScheduledMessage
     *
     * Delete a message session, together with all nested messages..
     *
     */
    public function testDeleteScheduledMessage()
    {
    }

    /**
     * Test case for deleteScheduledMessagesBulk
     *
     * Delete scheduled messages by given ID(s) or delete all scheduled messages..
     *
     */
    public function testDeleteScheduledMessagesBulk()
    {
    }

    /**
     * Test case for getAllScheduledMessages
     *
     * Get all scheduled messages..
     *
     */
    public function testGetAllScheduledMessages()
    {
    }

    /**
     * Test case for getScheduledMessage
     *
     * Get message schedule..
     *
     */
    public function testGetScheduledMessage()
    {
    }

    /**
     * Test case for searchScheduledMessages
     *
     * Find scheduled messages by given parameters..
     *
     */
    public function testSearchScheduledMessages()
    {
    }
}
